package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc合同评审对象 cmc_contract
 *
 * @author cmc
 * @date 2024-04-18
 */
public class CmcContract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合同id（ht2024w002） */
    private String contractId;

    /** 合同编号 */
    @Excel(name = "合同编号")
    private String contractNumber;

    /** 项目组 */
    private String[] projectIds;

    /** 合同金额 */
    @Excel(name = "合同金额")
    private BigDecimal amount;

    /** 履约保证金 */
    @Excel(name = "履约保证金")
    private BigDecimal deposit;

    /** 合同文件 */
    @Excel(name = "合同文件")
    private String contractDocument;

    /** 拟稿人 */
    @Excel(name = "拟稿人")
    private Long drafter;

    /** 拟稿日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟稿日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date draftTime;

    /** 签订日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签订日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date signDate;

    /** 签订备注 */
    @Excel(name = "签订备注")
    private String signRemark;

    /** 签订扫描件 */
    @Excel(name = "签订扫描件")
    private String signScan;

    /** 评审方式 */
    @Excel(name = "评审方式")
    private String commentType;

    public void setContractId(String contractId)
    {
        this.contractId = contractId;
    }

    public String getContractId()
    {
        return contractId;
    }
    public void setContractNumber(String contractNumber)
    {
        this.contractNumber = contractNumber;
    }

    public String getContractNumber()
    {
        return contractNumber;
    }
    public void setProjectIds(String[] projectIds)
    {
        this.projectIds = projectIds;
    }

    public String[] getProjectIds()
    {
        return projectIds;
    }

    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }
    public void setDeposit(BigDecimal deposit)
    {
        this.deposit = deposit;
    }

    public BigDecimal getDeposit()
    {
        return deposit;
    }
    public void setContractDocument(String contractDocument)
    {
        this.contractDocument = contractDocument;
    }

    public String getContractDocument()
    {
        return contractDocument;
    }
    public void setDrafter(Long drafter)
    {
        this.drafter = drafter;
    }

    public Long getDrafter()
    {
        return drafter;
    }
    public void setDraftTime(Date draftTime)
    {
        this.draftTime = draftTime;
    }

    public Date getDraftTime()
    {
        return draftTime;
    }
    public void setSignDate(Date signDate)
    {
        this.signDate = signDate;
    }

    public Date getSignDate()
    {
        return signDate;
    }
    public void setSignRemark(String signRemark)
    {
        this.signRemark = signRemark;
    }

    public String getSignRemark()
    {
        return signRemark;
    }
    public void setSignScan(String signScan)
    {
        this.signScan = signScan;
    }

    public String getSignScan()
    {
        return signScan;
    }
    public void setCommentType(String commentType)
    {
        this.commentType = commentType;
    }

    public String getCommentType()
    {
        return commentType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("contractId", getContractId())
                .append("contractNumber", getContractNumber())
                .append("amount", getAmount())
                .append("deposit", getDeposit())
                .append("contractDocument", getContractDocument())
                .append("drafter", getDrafter())
                .append("draftTime", getDraftTime())
                .append("remark", getRemark())
                .append("signDate", getSignDate())
                .append("signRemark", getSignRemark())
                .append("signScan", getSignScan())
                .append("commentType", getCommentType())
                .toString();
    }
}
